/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#include "asyncproviderproxycreator.h"
#include "appwidgetproviderproxy.h"

#include <QDebug>

namespace AppWidget {

AsyncProviderProxyCreator::AsyncProviderProxyCreator(QObject* parent)
    : QThread(parent)
{

}

void AsyncProviderProxyCreator::startCreatorByIndexAndName(int index, QString providername)
{
    m_providerName = providername;
    m_index = index;
    start();
}

void AsyncProviderProxyCreator::run()
{
   qDebug() << __FILE__ << __FUNCTION__ << "providername =" << m_providerName;
   AppWidgetProviderProxy* providerproxy = new AppWidgetProviderProxy(m_index, m_providerName);
   m_appWidgetProviderProxy = providerproxy;
}

AppWidgetProviderProxy* AsyncProviderProxyCreator::getProviderProxy()
{
    if (isFinished()) {
        return m_appWidgetProviderProxy;
    }
    return nullptr;
}

} // namespace AppWidget
